Permalink
Browse files

Bumped version to 0.4.2 and prepped for release.

  • Loading branch information...
1 parent d899605 commit c69fe04ce19c4cd7867f8b260d3076de8b14326c @jnunemaker committed Apr 2, 2009
Showing with 19 additions and 3 deletions.
  1. +18 −2 httparty.gemspec
  2. +1 −1 lib/httparty/version.rb
View
@@ -2,11 +2,11 @@
Gem::Specification.new do |s|
s.name = %q{httparty}
- s.version = "0.4.1"
+ s.version = "0.4.2"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["John Nunemaker"]
- s.date = %q{2009-03-29}
+ s.date = %q{2009-04-02}
s.default_executable = %q{httparty}
s.description = %q{Makes http fun! Also, makes consuming restful web services dead easy.}
s.email = %q{nunemaker@gmail.com}
@@ -21,4 +21,20 @@ Gem::Specification.new do |s|
s.rubyforge_project = %q{httparty}
s.rubygems_version = %q{1.3.1}
s.summary = %q{Makes http fun! Also, makes consuming restful web services dead easy.}
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 2
+
+ if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<crack>, [">= 0.1.1"])
+ s.add_development_dependency(%q<echoe>, [">= 0"])
+ else
+ s.add_dependency(%q<crack>, [">= 0.1.1"])
+ s.add_dependency(%q<echoe>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<crack>, [">= 0.1.1"])
+ s.add_dependency(%q<echoe>, [">= 0"])
+ end
end
View
@@ -1,3 +1,3 @@
module HTTParty #:nodoc:
- Version = '0.4.1'
+ Version = '0.4.2'
end

0 comments on commit c69fe04

Please sign in to comment.